package system

import (
	"hongze/equity_admin/controllers"
	"hongze/equity_admin/models"
	"hongze/equity_admin/models/system"
	"hongze/equity_admin/utils"
)

type SysMenuController struct {
	controllers.BaseAuthController
}

// @Title 获取用户权限菜单
// @Description 获取用户权限菜单接口
// @Success 200 {object} system.MenuListResp
// @router /menu/list [get]
func (this *SysRoleController) SysMenuList() {
	br := new(models.BaseResponse).Init()
	defer func() {
		this.Data["json"] = br
		this.ServeJSON()
	}()
	sysUser := this.SysUser
	if sysUser == nil {
		br.Msg = "请登录"
		br.ErrMsg = "请登录，SysUser Is Empty"
		return
	}
	roleId := sysUser.RoleId
	//roleId=1
	if roleId <= 0 {
		br.Msg = "参数错误"
		return
	}
	list, err := system.GetMenuList(roleId)
	if err != nil {
		br.Msg = "获取失败"
		br.ErrMsg = "获取失败，Err:" + err.Error()
		return
	}
	lenList := len(list)
	for i := 0; i < lenList; i++ {
		item := list[i]
		child, err := system.GetMenuByParentId(roleId, item.MenuId)
		if err != nil {
			br.Msg = "获取失败"
			br.ErrMsg = "获取子菜单数据失败，Err:" + err.Error()
			return
		}
		lenChild := len(child)
		for ci := 0; ci < lenChild; ci++ {
			if child[ci].Name == "领取列表" {
				if sysUser.RoleTypeCode == utils.ROLE_TYPE_CODE_FICC_SELLER {
					child[ci].Name = "权益客户"
				} else if sysUser.RoleTypeCode == utils.ROLE_TYPE_CODE_RAI_SELLER {
					child[ci].Name = "ficc客户"
				}
			}
		}
		list[i].Children = child
	}
	resp := new(system.MenuListResp)
	resp.List = list
	br.Ret = 200
	br.Success = true
	br.Msg = "获取成功"
	br.Data = resp
}
