package data_input

import "rdluck_tools/orm"

type RemindFieldInfo struct {
	IndustryType string
	DateType     string
	FieldCode    string
	TradeName    string
	SubclassName string
	FieldName    string
}

func GetRemindFieldInfo() (list []*RemindFieldInfo, err error) {
	o := orm.NewOrm()
	o.Using("data")
	sql := ` SELECT industry_type,b.date_type,b.field_code,b.trade_name,b.subclass_name,b.field_name FROM trade_info AS a
			INNER JOIN field_info AS b ON a.trade_name=b.trade_name
			WHERE b.data_source='非标数据' AND b.status=1 `
	_, err = o.Raw(sql).QueryRows(&list)
	return
}

type Users struct {
	OpenId       string
	IndustryType string
	AdminName    string
}

func GetRemindUsers(industryType string) (list []*Users, err error) {
	o := orm.NewOrm()
	sql := ` SELECT a.admin_name,a.open_id,b.industry_type FROM admin AS a
			INNER JOIN admin_industry AS b ON a.admin_id=b.admin_id
			WHERE 1=1
			AND FIND_IN_SET(?,b.industry_type) `
	_, err = o.Raw(sql, industryType).QueryRows(&list)
	return
}

func GetRemindUsersAll() (list []*Users, err error) {
	o := orm.NewOrm()
	sql := ` SELECT a.admin_name,a.open_id,b.industry_type 
            FROM admin AS a
			INNER JOIN admin_industry AS b ON a.admin_id=b.admin_id
			WHERE 1=1
			AND a.is_send=1 `
	_, err = o.Raw(sql).QueryRows(&list)
	return
}

func GetRemindFieldInfoByIndustry(industry string) (list []*RemindFieldInfo, err error) {
	o := orm.NewOrm()
	o.Using("data")
	sql := ` SELECT industry_type,b.date_type,b.field_code,b.trade_name,b.subclass_name,b.field_name FROM trade_info AS a
			INNER JOIN field_info AS b ON a.trade_name=b.trade_name
			WHERE b.data_source='非标数据' AND b.status=1
            AND SUBSTRING_INDEX(a.industry_type,'|',1) =? `
	_, err = o.Raw(sql, industry).QueryRows(&list)
	return
}
