package models

import (
	_ "github.com/go-sql-driver/mysql"
	"hongze/equity_admin/models/data_input"
	"hongze/equity_admin/models/system"
	"hongze/equity_admin/utils"
	"time"

	"rdluck_tools/orm"
)

func init() {

	_ = orm.RegisterDataBase("default", "mysql", utils.MYSQL_URL)
	orm.SetMaxIdleConns("default", 50)
	orm.SetMaxOpenConns("default", 100)

	db, _ := orm.GetDB("default")
	db.SetConnMaxLifetime(10 * time.Minute)

	_ = orm.RegisterDataBase("data", "mysql", utils.MYSQL_URL_INDUSTRY)
	orm.SetMaxIdleConns("data", 50)
	orm.SetMaxOpenConns("data", 100)

	data_db, _ := orm.GetDB("data")
	data_db.SetConnMaxLifetime(10 * time.Minute)
	//注册对象
	orm.RegisterModel(
		new(system.SysSession),
		new(system.SysDepartment),
		new(system.SysGroup),
		new(system.SysRoleMenu),
		new(system.Admin),
		new(system.SysRole),
		new(system.SysMenuButton),
		new(system.SysRoleButton),
		new(data_input.InfoData),
	)
}
