// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/plugins/cors"
	"hongze/equity_admin/controllers/data_input"
	"hongze/equity_admin/controllers/system"
)

func init() {
	//解决跨域问题
	beego.InsertFilter("*", beego.BeforeRouter, cors.Allow(&cors.Options{
		AllowAllOrigins:  true,
		AllowMethods:     []string{"GET", "POST", "PUT", "DELETE", "OPTIONS"},
		AllowHeaders:     []string{"Origin", "Authorization", "Access-Control-Allow-Origin", "Access-Control-Allow-Headers", "Content-Type"},
		ExposeHeaders:    []string{"Content-Length", "Access-Control-Allow-Origin", "Access-Control-Allow-Headers", "Content-Type"},
		AllowCredentials: true,
	}))
	ns := beego.NewNamespace("/api",
		beego.NSNamespace("/sysuser",
			beego.NSInclude(
				&system.SysUserController{},
			),
			beego.NSInclude(
				&system.SysUserAuthController{},
			),
		),
		beego.NSNamespace("/data",
			beego.NSInclude(
				&data_input.DataInputController{},
			),
		),
		//beego.NSNamespace("/system",
		//	beego.NSInclude(
		//		&system.SysDepartmentController{},
		//	),
		//	beego.NSInclude(
		//		&system.SysGroupController{},
		//	),
		//	beego.NSInclude(
		//		&system.SysAdminController{},
		//	),
		//	beego.NSInclude(
		//		&system.SysRoleController{},
		//	),
		//	beego.NSInclude(
		//		&system.SysMenuController{},
		//	),
		//	beego.NSInclude(
		//		&system.SysMenuButtonController{},
		//	),
		//),
	)
	beego.AddNamespace(ns)
}
