package services

import (
	"fmt"
	"hongze/equity_admin/models/data_input"
	"hongze/equity_admin/utils"
)

func CheckFieldInfoStatus(fieldCode string) (status int, err error) {
	fieldItem, err := data_input.GetFieldInfoByFieldCode(fieldCode)
	if err != nil {
		return
	}
	if fieldItem == nil {
		utils.FileLog.Info("fieldItem is empty:%s", fieldCode)
		return
	}
	needModifyDate, err := GetDateByFrequency(fieldItem.DateType)

	count, err := data_input.GetDataCount(fieldItem.FieldCode, fieldItem.EndDate, needModifyDate)
	if err != nil {
		utils.FileLog.Info("GetDataCount:Err %s", err.Error())
	}
	if count > 0 {
		status = 2
	} else {
		status = 1
	}
	return
}

func SetFieldInfo() {
	var err error
	defer func() {
		if err != nil {
			fmt.Println("SetFieldInfo Err:" + err.Error())
		}
	}()
	list, err := data_input.GetFieldInfoAllList()
	if err != nil {
		return
	}
	for k, item := range list {
		fmt.Println(k, item.FieldCode)
		maxDate, minDate, err := data_input.GetMaxAndMinDate(item.FieldCode)
		if err != nil {
			return
		}
		needModifyDate, err := GetDateByFrequency(item.DateType)

		count, err := data_input.GetDataCount(item.FieldCode, maxDate, needModifyDate)
		if err != nil {
			utils.FileLog.Info("GetDataCount:Err %s", err.Error())
		}
		var status int
		if count > 0 {
			status = 2
		} else {
			status = 1
		}

		err = data_input.ModifyFieldInfoStatus(item.FieldCode, maxDate, minDate,needModifyDate, status)
		if err != nil {
			return
		}
	}
}
