package services

import (
	"fmt"
	"github.com/Knetic/govaluate"
	"github.com/astaxie/beego/toolbox"
	"github.com/yidane/formula"
	"github.com/dengsgo/math-engine/engine"
	"hongze/equity_admin/utils"
	_ "math"
)

func Task123() {
	fmt.Println("task start")
	//mathEngine()
	//提醒
	//SendMessageMindTotal()
	pwd := utils.GetRandStringNoSpecialChar(16)
	fmt.Println(pwd)

	sendMessageMindTotal := toolbox.NewTask("sendMessageMindTotal", "0 0 09 * * *", SendMessageMindTotal)
	toolbox.AddTask("sendMessageMindTotal", sendMessageMindTotal)

	fmt.Println("task end")
}

func Task() {
	fmt.Println("task start")
	//SetFieldInfo()
	fmt.Println("task end")
}

func govaluateTest() {
	functions := map[string]govaluate.ExpressionFunction{
		"max": func(args ...interface{}) (interface{}, error) {
			length := len(args[0].(string))
			return (float64)(length), nil
		},
	}

	expString := "max('someReallyLongInputString') <= 16"
	expression, err := govaluate.NewEvaluableExpressionWithFunctions(expString, functions)
	fmt.Println(expression, err)
	result, err := expression.Evaluate(nil)
	fmt.Println(err)
	fmt.Println(result)
}

func formulaTest() {
	expression := formula.NewExpression("10*0.12+5*0.5+20+max(10,5,20)")
	result, err := expression.Evaluate()
	if err != nil {
		//handle err
	}

	v, err := result.Float64()
	if err != nil {
		//handle err
	}
	fmt.Println(v)
}

func mathEngine() {
	s := "10*0.12+5*0.5+20+max(10,5)"
	// call top level function
	r, err := engine.ParseAndExec(s)
	if err != nil {
		fmt.Println(err)
	}
	fmt.Printf("%s = %v", s, r)
}
